MLXCONFIG(1)

NAME
mlxconfig - manual page for mlxconfig 4.19.0

DESCRIPTION

    NAME:

    mlxconfig

    SYNOPSIS:

    mlxconfig [Options] <Commands> [Parameters]

    DESCRIPTION:

    Allows the user to change some of the device configurations without having to create and burn a new firmware.

    OPTIONS:

-d|--dev <device>
    : Perform operation for a specified MST device.

-b|--db <filename>
    : Use a specific database file.

-f|--file <conf_file>
    : raw configuration file.

-h|--help
    : Display help message.

-v|--version
    : Display version info.

-e|--enable_verbosity
    : Show default and current configurations.

-y|--yes
    : Answer yes in prompt.

-a|--all_attrs
    : Show all attributes in the XML template

-p|--private_key <PKEY>
    : pem file for private key

-u|--key_uuid <UUID>
    : keypair uuid

-eng|--openssl_engine <ENGINE NAME>
    : OpenSSL engine name

-k|--openssl_key_id <IDENTIFIER>
    : OpenSSL key identifier

-t|--device_type <switch/hca>
    : Specify the device type

-s|--session_id
    : Specify the session id for token keep alive session.

-st|--session_time
    : Specify session time for token keep alive session.

-tkn|--token_type
    : Specify token type.

    COMMANDS SUMMARY

clear_semaphore
    : clear the tool semaphore.

i|show_confs
    : display informations about all configurations.

q|query
    : query supported configurations.

r|reset
    : reset all configurations to their default value.

s|set
    : set configurations to a specific device.

set_raw
    : set raw configuration file(5th Generation and above).

get_raw
    : get raw configuration (5th Generation and above).

backup
    : backup configurations to a file. Use set_raw command to restore file (5th Generation and above).

gen_tlvs_file
    : Generate List of all TLVs. TLVs output file name must be specified. (*)

g <en_xml_template>
    : Generate XML template. TLVs input file name and XML output file name must be specified. (*)

xml2raw
    : Generate Raw file from XML file. XML input file name and raw output file name must be specified. (*)

raw2xml
    : Generate XML file from Raw file. raw input file name and XML output file name must be specified. (*)

xml2bin
    : Generate binary configuration dump file from XML file. XML input file name and bin output file name must be specified. (*)

create_conf
    : Generate configuration file from XML file. XML input file name and bin output file name must be specified. (*)

apply
    : Apply a configuration file, that was created with create_conf command. bin input file name must be specified. (*)

challenge_request
    : Send a token challenge request to the device. Token type must be specified.

remote_token_keep_alive
    : Start a remote token session for a specified time. session id must be specified.

token_supported
    : Query which tokens are supported.

query_token_session
    : Query the status of a token session.

end_token_session
    : End an active token session.

    (*) These commands do not require MST device

    To show supported configurations by device type, run show_confs command

    Examples:

To query configurations
    : mlxconfig -d /dev/mst/mt4099_pciconf0 query

To set configuration
    : mlxconfig -d /dev/mst/mt4099_pciconf0 set SRIOV_EN=1 NUM_OF_VFS=16 WOL_MAGIC_EN_P1=1

To set raw configuration
    : mlxconfig -d /dev/mst/mt4115_pciconf0 -f conf_file set_raw

To reset configuration
    : mlxconfig -d /dev/mst/mt4099_pciconf0 reset

    Supported devices:

    4th Generation devices: ConnectX3, ConnectX3-Pro (FW 2.31.5000 and above). 5th Generation devices: ConnectIB, ConnectX4, ConnectX4-LX, ConnectX5, connectX5-Ex. 6th Generation devices: BlueField, BlueField2, ConnectX6, ConnectX6-DX, ConnectX6-LX Switches: Switch-IB, Switch-IB2,Spectrum, Spectrum2, Spectrum3, Quantum, Quantum2

    Note: query device to view supported configurations by Firmware.

SEE ALSO
The full documentation for mlxconfig is maintained as a Texinfo manual. If the info and mlxconfig programs are properly installed at your site, the command

    info mlxconfig

should give you access to the complete manual.